[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# DefaultIPCMessageOverflowAction

Default action to take take when the message queue is going to overflow

## Declaration

Source position: simpleipc.pp line 282

`var DefaultIPCMessageOverflowAction: TIPCMessageOverflowAction = TSimpleIPCServer.DefaultMaxAction;`

## Description

DefaultIPCMessageOverflowAction is the default for the message queue overflow action when a new queue is made.

## See also

TIPCServerMsgQueue.MaxAction |  | Action to take when the number of messages will exceed MaxCount.
TIPCServerMsgQueue.MaxCount |  | Maximum number of messages in the queue, 0 for unlimited
TIPCMessageOverflowAction |  | Action to take when the message queue is going to overflow
DefaultIPCMessageQueueLimit |  | Default maximum queue message size